<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:25 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>SAMFactory (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SAMFactory (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SAMFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaExecHost.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SAMPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SAMFactory.html" target="_top">Frames</a></li>
<li><a href="SAMFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM</div>
<h2 title="Interface SAMFactory" class="title">Interface SAMFactory</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/impl/SAMFactoryImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.impl">SAMFactoryImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">SAMFactory</span>
extends org.eclipse.emf.ecore.EFactory</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Factory</b> for the model.
 It provides a create method for each non-abstract class of the model.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SAMPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM"><code>SAMPackage</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SAMFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SAMFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SAMFactory.html#eINSTANCE">eINSTANCE</a></span></code>
<div class="block">The singleton instance of the factory.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaAnalysisContext.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaAnalysisContext</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SAMFactory.html#createSaAnalysisContext--">createSaAnalysisContext</a></span>()</code>
<div class="block">Returns a new object of class '<em>Sa Analysis Context</em>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaCommHost.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaCommHost</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SAMFactory.html#createSaCommHost--">createSaCommHost</a></span>()</code>
<div class="block">Returns a new object of class '<em>Sa Comm Host</em>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaCommStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaCommStep</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SAMFactory.html#createSaCommStep--">createSaCommStep</a></span>()</code>
<div class="block">Returns a new object of class '<em>Sa Comm Step</em>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaEndtoEndFlow.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaEndtoEndFlow</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SAMFactory.html#createSaEndtoEndFlow--">createSaEndtoEndFlow</a></span>()</code>
<div class="block">Returns a new object of class '<em>Sa Endto End Flow</em>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaExecHost.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaExecHost</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SAMFactory.html#createSaExecHost--">createSaExecHost</a></span>()</code>
<div class="block">Returns a new object of class '<em>Sa Exec Host</em>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaSchedObs.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaSchedObs</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SAMFactory.html#createSaSchedObs--">createSaSchedObs</a></span>()</code>
<div class="block">Returns a new object of class '<em>Sa Sched Obs</em>'.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaSharedResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaSharedResource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SAMFactory.html#createSaSharedResource--">createSaSharedResource</a></span>()</code>
<div class="block">Returns a new object of class '<em>Sa Shared Resource</em>'.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaStep</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SAMFactory.html#createSaStep--">createSaStep</a></span>()</code>
<div class="block">Returns a new object of class '<em>Sa Step</em>'.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SAMPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SAMPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SAMFactory.html#getSAMPackage--">getSAMPackage</a></span>()</code>
<div class="block">Returns the package supported by this factory.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EFactory">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EFactory</h3>
<code>convertToString, create, createFromString, getEPackage, setEPackage</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="eINSTANCE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>eINSTANCE</h4>
<pre>static final&nbsp;<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SAMFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SAMFactory</a> eINSTANCE</pre>
<div class="block">The singleton instance of the factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createSaAnalysisContext--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSaAnalysisContext</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaAnalysisContext.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaAnalysisContext</a>&nbsp;createSaAnalysisContext()</pre>
<div class="block">Returns a new object of class '<em>Sa Analysis Context</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Sa Analysis Context</em>'.</dd>
</dl>
</li>
</ul>
<a name="createSaEndtoEndFlow--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSaEndtoEndFlow</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaEndtoEndFlow.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaEndtoEndFlow</a>&nbsp;createSaEndtoEndFlow()</pre>
<div class="block">Returns a new object of class '<em>Sa Endto End Flow</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Sa Endto End Flow</em>'.</dd>
</dl>
</li>
</ul>
<a name="createSaCommStep--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSaCommStep</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaCommStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaCommStep</a>&nbsp;createSaCommStep()</pre>
<div class="block">Returns a new object of class '<em>Sa Comm Step</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Sa Comm Step</em>'.</dd>
</dl>
</li>
</ul>
<a name="createSaStep--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSaStep</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaStep</a>&nbsp;createSaStep()</pre>
<div class="block">Returns a new object of class '<em>Sa Step</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Sa Step</em>'.</dd>
</dl>
</li>
</ul>
<a name="createSaSharedResource--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSaSharedResource</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaSharedResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaSharedResource</a>&nbsp;createSaSharedResource()</pre>
<div class="block">Returns a new object of class '<em>Sa Shared Resource</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Sa Shared Resource</em>'.</dd>
</dl>
</li>
</ul>
<a name="createSaSchedObs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSaSchedObs</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaSchedObs.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaSchedObs</a>&nbsp;createSaSchedObs()</pre>
<div class="block">Returns a new object of class '<em>Sa Sched Obs</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Sa Sched Obs</em>'.</dd>
</dl>
</li>
</ul>
<a name="createSaCommHost--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSaCommHost</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaCommHost.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaCommHost</a>&nbsp;createSaCommHost()</pre>
<div class="block">Returns a new object of class '<em>Sa Comm Host</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Sa Comm Host</em>'.</dd>
</dl>
</li>
</ul>
<a name="createSaExecHost--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSaExecHost</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaExecHost.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SaExecHost</a>&nbsp;createSaExecHost()</pre>
<div class="block">Returns a new object of class '<em>Sa Exec Host</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Sa Exec Host</em>'.</dd>
</dl>
</li>
</ul>
<a name="getSAMPackage--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getSAMPackage</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SAMPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM">SAMPackage</a>&nbsp;getSAMPackage()</pre>
<div class="block">Returns the package supported by this factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the package supported by this factory.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SAMFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SaExecHost.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SAMPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/SAMFactory.html" target="_top">Frames</a></li>
<li><a href="SAMFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
